# Задание 3

0. Узнайте статус сервиса systemd-networkd и systemd-resolved
```
# systemctl status systemd-networkd
# systemctl status systemd-resolved
```

1. Активируйте networkd, если он не активирован (disabled)
```
# systemctl enable systemd-networkd
# systemctl enable systemd-resolved
```

2. Запустите networkd, если он не запущен (inactive, dead) 
```
# systemctl start systemd-networkd
# systemctl start systemd-resolved
```

3. Определите имя настраиваемого интерфейса (не loopback).
```
# ip link
```

4. Для настройки интерфейса ens18 машины stud1-2v1 создайте 
или отредактируйте в каждой /etc/systemd/network/ens18.network.
Адрес машины взят из такой сети, в которой присутствует шлюз в 
интернет 10.160.179.1. 

конфигурация ens18.network машины stud1-2v1
```
[Match]
Name=ens18

[Network]
Address=10.160.179.201/24
Gateway=10.160.179.1 
```

5. Перечитайте конфигурацию сети 
```
# networkctl reload
```

6. Проверьте доступность ip-адреса в сети internet
```
stud@stud1-2v1$ ping 1.1.1.1
```

7. Для настройки DNS ens18 машины stud1-2v1 отредактируйте 
/etc/systemd/resolved.conf. 

конфигурация resolved.conf машины stud1-2v1
```
[Resolve]
DNS=1.1.1.1
```

8. Перезагрузите systemd-resolved
```
# systemctl restart systemd-resolved
```

9. Проверьте доступность адреса по имени 
```
stud@stud1-2v1$ ping yandex.ru
```

10. В случае проблемы, проверьте, что systemd-networkd запущен,
systemd-resolved запущен, DNS настроен.
```
# systemctl status systemd-networkd
# systemctl status systemd-resolved
# resolvectl status
```