# Задание 1

0. Узнайте статус сервиса systemd-networkd.
```
# systemctl status systemd-networkd
```

1. Активируйте systemd-networkd, если он не активирован (disabled).
```
# systemctl enable systemd-networkd
```

2. Запустите systemd-networkd, если он не запущен (inactive, dead).
```
# systemctl start systemd-networkd
```

3. Определите имя настраиваемого интерфейса.
```
# ip link
```

4. Для настройки интерфейса ens18 машин stud1-1v1 и stud1-2v1 создайте 
или отредактируйте в каждой /etc/systemd/network/ens18.network.

конфигурация ens18.network машины stud1-1v1
```
[Match]
Name=ens18

[Network]
Address=192.168.1.1/24
```

конфигурация ens18.network машины stud1-2v1
```
[Match]
Name=ens18

[Network]
Address=192.168.1.2/24
```

5. Перечитайте конфигурацию сети на обеих машинах.
```
# networkctl reload
```

6. После конфигурации на обеих машинах проверьте их взаимную доступность по сети.
```
stud@stud1-2v1$ ping 192.168.1.1 
stud@stud1-1v1$ ping 192.168.1.2 
```

7. В случае проблемы, проверьте, что systemd-networkd запущен и в его логах нет ошибок.
```
# systemctl status systemd-networkd
```