# Задание 2

0. Узнайте статус сервиса systemd-networkd.
```
# systemctl status systemd-networkd
```

1. Активируйте systemd-networkd, если он не активирован (disabled).
```
# systemctl enable systemd-networkd
```

2. Запустите systemd-networkd, если он не запущен (inactive, dead).
```
# systemctl start systemd-networkd
```

3. Определите имя настраиваемого интерфейса (не loopback).
```
# ip link
```

4. Для настройки интерфейса ens18 машин stud1-1v1 и stud1-2v1 создайте 
или отредактируйте в каждой /etc/systemd/network/ens18.network.

конфигурация ens18.network машины stud1-1v1 с DHCP сервером.
```
[Match]
Name=ens18

[Network]
Address=192.168.1.1/24
DHCPServer=yes
```

конфигурация ens18.network машины stud1-2v1, которая получает адрес от DHCP сервера.
```
[Match]
Name=ens18

[Network]
DHCP=yes
```

5. Перечитайте конфигурацию сети на обеих машинах.
```
# networkctl reload
```

6. После конфигурации на обеих машинах проверьте их взаимную доступность по сети.
На машине stud1-2v1 определите выданный DHCP сервером ip адрес для интерфейса ens18.
```
ip a
```

```
stud@stud1-2v1$ ping 192.168.1.1 
stud@stud1-1v1$ ping 192.168.1.X
```

7. В случае проблемы, проверьте, что systemd-networkd запущен и в его логах нет ошибок.
```
# systemctl status systemd-networkd
```